package com.nisum.paymentgatewayazuredataservice.service;

import com.nisum.paymentgatewayazuredataservice.domain.model.PaymentAuthData;
import com.nisum.paymentgatewayazuredataservice.repository.PaymentAuthH2Repository;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

import java.util.UUID;

@Service
public class PaymentAuthH2Service  {
    private PaymentAuthH2Repository repository;

    @Autowired
    public PaymentAuthH2Service(PaymentAuthH2Repository repository) {
        this.repository = repository;
    }

    public Mono<PaymentAuthData> getOneById(String id) {
        return repository.findById(id)
            .onErrorResume(Mono::error);
    }

    public Mono<PaymentAuthData> create(PaymentAuthData data) {
        Mono<PaymentAuthData> saved = repository.save(data);
        return saved;
    }
}
